﻿#language: ru

Функционал: Проверка Акта переработки по ПАЦ и Сырцеху

Сценарий: Повторное закрытие смены на ПАЦ
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текст '12.03.2019'
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Смена24'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку с подчиненными:
		| 'Вид РЦ / РЦ' |
		| 'ПАЦ'         |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'ПАЦ'         | 'Не закрыта' |
	И я жду появления элемента "Баланс" в течение 10 секунд
	И я нажимаю на кнопку 'Закрыть'
	И в таблице "ДеревоРабочиеЦентры" поле "Статус" имеет значение "Закрыта"
	И Я закрываю окно 'Рабочее место мастера смены*'

Сценарий: Проверка Акта переработки по ПАЦ
	И В командном интерфейсе я выбираю 'Производство' 'Акты переработки'
	Тогда открылось окно 'Акты переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Ответственный' | 'Рабочий центр'  | 'Смена'   | 'Способ создания' |
		| '12.03.2019' | 'Мастер сырцеха'       | 'ПАЦ'            | 'Смена24' | 'Закрытие смены'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Акт переработки *'
	И я перехожу к закладке "Выпуск"
	И таблица "Выпуск" стала равной:
		| 'МДЖ'    | 'Количество'     | 'N' | 'Спецификация' | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Серия'                         | 'МДБ'    | 'Количество 2' | 'БКГ'     | 'ЖКГ'     | 'Склад'    |
		| '28,000' | '25,000, кг'     | '1' | 'Смесь 45%'    | 'Сливки'       | ''             | '<не используются>' | '1 до 01.01.0001 0:00:00'       | '22,000' | ''             | '5,500'   | '7,000'   | 'Маслоцех' |
		| '3,400'  | '20,000, кг'     | '2' | ''             | 'Молоко'       | ''             | '<не используются>' | 'Остаток до 12.03.2019 0:00:00' | '3,100'  | ''             | '0,620'   | '0,680'   | 'Танк №1'  |
		| '2,600'  | '10 253,000, кг' | '3' | 'Смесь 50%'    | 'Смесь 50%'    | ''             | '<не используются>' | '1 до 12.03.2019 0:00:00'       | '2,200'  | ''             | '225,566' | '266,578' | 'Сырцех'   |
		| '2,650'  | '10 364,800, кг' | '4' | 'Смесь 45%'    | 'Смесь 45%'    | ''             | '<не используются>' | '3 до 12.03.2019 0:00:00'       | '2,300'  | ''             | '238,390' | '274,667' | 'Сырцех'   |
	И я перехожу к закладке "Распределение материалов"
	И     таблица "РаспределениеМатериалов" стала равной по шаблону:
		| 'Распределить на выпуск'                            | 'N' | 'Количество'  | 'МДЖ'   | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Серия'                      | 'МДБ'   | 'Количество 2' | 'БКГ'    | 'ЖКГ'    | 'Склад'   |
		| '№1: Сливки / 1 до 01.01.0001 0:00:00 Смесь 45%'    | '1' | '7,580, кг'   | '3,300' | 'Молоко'       | ''             | '<не используются>' | '010000045345354345345 до *' | '3,400' | ''             | '0,258'  | '0,250'  | 'Танк №1' |
		| '№1: Сливки / 1 до 01.01.0001 0:00:00 Смесь 45%'    | '2' | '7,580, кг'   | '3,300' | 'Молоко'       | ''             | '<не используются>' | '01000056969878767 до *'     | '3,400' | ''             | '0,258'  | '0,250'  | 'Танк №1' |
		| '№2: Молоко / Остаток до 12.03.2019 0:00:00 '       | '3' | '0,804, кг'   | '3,300' | 'Молоко'       | ''             | '<не используются>' | '010000045345354345345 до *' | '3,400' | ''             | '0,027'  | '0,027'  | 'Танк №1' |
		| '№2: Молоко / Остаток до 12.03.2019 0:00:00 '       | '4' | '0,804, кг'   | '3,300' | 'Молоко'       | ''             | '<не используются>' | '01000056969878767 до *'     | '3,400' | ''             | '0,027'  | '0,027'  | 'Танк №1' |
		| '№3: Смесь 50% / 1 до 12.03.2019 0:00:00 Смесь 50%' | '5' | '301,379, кг' | '3,300' | 'Молоко'       | ''             | '<не используются>' | '010000045345354345345 до *' | '3,400' | ''             | '10,247' | '9,946'  | 'Танк №1' |
		| '№3: Смесь 50% / 1 до 12.03.2019 0:00:00 Смесь 50%' | '6' | '301,379, кг' | '3,300' | 'Молоко'       | ''             | '<не используются>' | '01000056969878767 до *'     | '3,400' | ''             | '10,247' | '9,946'  | 'Танк №1' |
		| '№4: Смесь 45% / 3 до 12.03.2019 0:00:00 Смесь 45%' | '7' | '315,237, кг' | '3,300' | 'Молоко'       | ''             | '<не используются>' | '010000045345354345345 до *' | '3,400' | ''             | '10,718' | '10,403' | 'Танк №1' |
		| '№4: Смесь 45% / 3 до 12.03.2019 0:00:00 Смесь 45%' | '8' | '315,237, кг' | '3,300' | 'Молоко'       | ''             | '<не используются>' | '01000056969878767 до *'     | '3,400' | ''             | '10,718' | '10,403' | 'Танк №1' |
	И Я закрываю окно 'Акт переработки *'
	Тогда открылось окно 'Акты переработки'
	И Я закрываю окно 'Акты переработки'

Сценарий: Повторное закрытие смены на Сырцехе
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены*'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку с подчиненными:
		| 'Вид РЦ / РЦ' |
		| 'Сырцех'      |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'Сырцех'      | 'Не закрыта' |
	И я жду появления элемента "Баланс" в течение 10 секунд
	И я нажимаю на кнопку 'Закрыть'
	И в таблице "ДеревоРабочиеЦентры" поле "Статус" имеет значение "Закрыта"
	И Я закрываю окно 'Рабочее место мастера смены*'

Сценарий: Проверка Акта переработки по Сырцеху
	И В командном интерфейсе я выбираю 'Производство' 'Акты переработки'
	Тогда открылось окно 'Акты переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата смены' | 'Ответственный' | 'Рабочий центр'  | 'Смена'   | 'Способ создания' |
		| '12.03.2019' | 'Мастер сырцеха'       | 'Сырцех'         | 'Смена24' | 'Закрытие смены'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Акт переработки *'
	И я перехожу к закладке "Выпуск"
	И таблица "Выпуск" стала равной:
		| 'МДЖ'    | 'Количество'  | 'N' | 'Спецификация'       | 'Номенклатура'   | 'Количество 1' | 'Характеристика'    | 'Серия'                   | 'МДБ'    | 'Количество 2' | 'БКГ'     | 'ЖКГ'     | 'Склад'           |
		| '24,500' | '4,750, кг'   | '1' | ''                   | 'Сырная крошка'  | '1,000, шт'    | '<не используются>' | '1 до 01.01.0001 0:00:00' | '23,000' | ''             | '1,093'   | '1,164'   | 'Бассейн соления' |
		| '0,050'  | '250,000, кг' | '2' | ''                   | 'Сыворотка'      | ''             | '<не используются>' | '1 до 01.01.0001 0:00:00' | '0,100'  | ''             | '0,250'   | '0,125'   | 'СОМ'             |
		| '25,000' | '952,100, кг' | '3' | 'Российский 50% Сыр' | 'Российский 50%' | '123,000, шт'  | 'Варка'             | '12.03.2019/1'            | '22,000' | ''             | '209,462' | '238,025' | 'Бассейн соления' |
	И я перехожу к закладке "Распределение материалов"
	И таблица "РаспределениеМатериалов" стала равной:
		| 'Распределить на выпуск'                                       | 'N' | 'Количество'    | 'МДЖ'   | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Серия'                   | 'МДБ'   | 'Количество 2' | 'БКГ'     | 'ЖКГ'     | 'Склад'  |
		| '№1: Сырная крошка / 1 до 01.01.0001 0:00:00 '                 | '1' | '50,657, кг'    | '2,600' | 'Смесь 50%'    | ''             | '<не используются>' | '1 до 12.03.2019 0:00:00' | '2,200' | ''             | '1,114'   | '1,317'   | 'Сырцех' |
		| '№2: Сыворотка / 1 до 01.01.0001 0:00:00 '                     | '2' | '9,223, кг'     | '2,600' | 'Смесь 50%'    | ''             | '<не используются>' | '1 до 12.03.2019 0:00:00' | '2,200' | ''             | '0,203'   | '0,240'   | 'Сырцех' |
		| '№3: Российский 50% / Варка / 12.03.2019/1 Российский 50% Сыр' | '3' | '9 962,225, кг' | '2,600' | 'Смесь 50%'    | ''             | '<не используются>' | '1 до 12.03.2019 0:00:00' | '2,200' | ''             | '219,169' | '259,018' | 'Сырцех' |
		| '№3: Российский 50% / Варка / 12.03.2019/1 Российский 50% Сыр' | '4' | '0,231, кг'     | ''      | 'Закваска'     | ''             | '<не используются>' | '<не используются>'       | ''      | ''             | ''        | ''        | 'Сырцех' |
	И Я закрываю окно 'Акт переработки *'
	Тогда открылось окно 'Акты переработки'
	И Я закрываю окно 'Акты переработки'

Сценарий: 10_milk_scenario.03.010 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT